import { Observable } from 'rxjs';
export interface CommitInfo {
    sha1: string;
    author?: string;
    authorMail?: string;
    authorTime?: Date;
    authorTz?: string;
    committer?: string;
    committerMail?: string;
    committerTime?: Date;
    committerTz?: string;
    summary?: string;
    previousHash?: string;
    filename?: string;
}
export interface LineInfo {
    code: string;
    originalLine: number;
    finalLine: number;
    numLines: number;
    commit: CommitInfo;
}
export declare class Blamer {
    /** Map from absolute file path to blame result */
    private blames;
    blame(file: string, line: number): Observable<CommitInfo>;
    private blameFile(file);
}
