import { CommitInfo } from './git';
export interface Member {
    email: string;
    name: string;
}
export interface FilterOptions {
    /**
     * List of members that rules should apply for. If the blame matches one of these, the complaint
     * is passed through, otherwise it is filtered.
     */
    members?: Member[];
    /**
     * Date before which all complaints are dropped
     */
    since?: Date;
}
export declare const checkBlame: (blame: CommitInfo, {members, since}?: FilterOptions) => boolean;
